Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.html
Class Break

    java.lang.Object
      org.mortbay.html.Element
          org.mortbay.html.Tag
              org.mortbay.html.Break

    public class Break

extends Tag

Break Tag.

Field Summary
`static Break` | `line` Static instance of line break
`static String` | `Line` Line Break tag type
`static Break` | `para` Static instance of paragraph break
`static String` | `Para` Paragraph Break tag type
`static Break` | `rule` Static instance of rule break
`static String` | `Rule` Rule Break tag type

Fields inherited from class org.mortbay.html.Tag
`tag`

Fields inherited from class org.mortbay.html.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Break()` Default constructor (Line Break).
`Break(String type)` Constructor.

Method Summary

Methods inherited from class org.mortbay.html.Tag
`write`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Line

    public static final String Line

  Line Break tag type

  See Also:
    Constant Field Values

### Rule

    public static final String Rule

  Rule Break tag type

  See Also:
    Constant Field Values

### Para

    public static final String Para

  Paragraph Break tag type

  See Also:
    Constant Field Values

### line

    public static final Break line

  Static instance of line break

### rule

    public static final Break rule

  Static instance of rule break

### para

    public static final Break para

  Static instance of paragraph break

Constructor Detail

### Break

    public Break()

  Default constructor (Line Break).

### Break

    public Break(String type)

  Constructor.

  Parameters:
    `type` - The Break type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.